Back to Redis

Debuginfo

content/operate/rs/references/rest-api/requests/nodes/debuginfo.md

latest2.7 KB
Original Source
MethodPathDescription
GET/v1/nodes/debuginfoGet debug info from all nodes
GET/v1/nodes/{node_uid}/debuginfoGet debug info from a specific node

Get debug info from all nodes {#get-debuginfo-all-nodes}

GET /v1/nodes/debuginfo

Downloads a tar file that contains debug info from all nodes.

Required permissions

Permission name
[view_debugging_info]({{< relref "/operate/rs/references/rest-api/permissions#view_debugging_info" >}})

Request {#get-all-request}

Example HTTP request

GET /v1/nodes/debuginfo

Response {#get-all-response}

Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.

Response headers

KeyValueDescription
Content-Typeapplication/x-gzipMedia type of request/response body
Content-Length653350Length of the response body in octets
Content-Dispositionattachment; filename=debuginfo.tar.gzDisplay response in browser or download as attachment

Status codes {#get-all-status-codes}

CodeDescription
200 OKSuccess.
500 Internal Server ErrorFailed to get debug info.

Get node debug info {#get-debuginfo-node}

GET /v1/nodes/{int: node_uid}/debuginfo

Downloads a tar file that contains debug info from a specific node.

Required permissions

Permission name
[view_debugging_info]({{< relref "/operate/rs/references/rest-api/permissions#view_debugging_info" >}})

Request {#get-request}

Example HTTP request

GET /v1/nodes/1/debuginfo

Response {#get-response}

Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info.

Response headers

KeyValueDescription
Content-Typeapplication/x-gzipMedia type of request/response body
Content-Length653350Length of the response body in octets
Content-Dispositionattachment; filename=debuginfo.tar.gzDisplay response in browser or download as attachment

Status codes {#get-status-codes}

CodeDescription
200 OKSuccess.
500 Internal Server ErrorFailed to get debug info.